getting new 3g and am worried i wont be able to downgrade

Discussion in 'Jailbreaks and iOS Hacks' started by Tuckmonster, Feb 24, 2009.

  1. Tuckmonster macrumors regular

    Joined:
    Dec 16, 2007
    #1
    i am about to get a new 3g and i am worried i will not be able to downgrade. i am on tmobile now. so i need to unlock it and install yellowsn0w. is there any thing to be worried about. cam you still downgrade the new firmware, theres not a block or anything is there? thanks
     
  2. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #2
    Nope, I wouldn't buy the new phone yet. It's not the firmware you need to worry about, it's the baseband update included with the firmware.

    So in other words, you can't use a newly purchased iPhone 3G on T-Mobile...yet. Should the dev team update yellowsn0w to work with 2.30.0 baseband, you'll be all set at that time. :)
     
  3. iTouch macrumors 6502

    Joined:
    Sep 12, 2007
  4. Tuckmonster thread starter macrumors regular

    Joined:
    Dec 16, 2007
    #4
    so your telling me if i downgrade 2.2 the baseband won't change
     
  5. bytethese macrumors 68030

    bytethese

    Joined:
    Jun 20, 2007
    Location:
    Cranford, NJ
    #5
    Correct.

    Bookmark this site:
    http://blog.iphone-dev.org/

    Hopefully they will be able to update yellowsn0w soon.
     
  6. DannyBres macrumors 65816

    DannyBres

    Joined:
    Oct 30, 2007
    Location:
    UK
    #6
    But the new phone you buy might not have 2.2.1 on it yet it may have 2.2!
     
  7. ThugZilla macrumors regular

    Joined:
    Nov 27, 2008
    #7
    I bought a new iPhone 3G on Tuesday, it had 2.2 on it, its now running on T-Mobile. So you might not have 2.2.1 on the iPhone you buy
     

Share This Page